package siva;

import java.util.Comparator;
import java.util.Hashtable;

public class AttributeValues implements Comparator<AttributeValues>
{
    String name;
    int count = 0;
    Hashtable<String, ValueInfo> values = new Hashtable<String, ValueInfo>();

    public AttributeValues()            // dummy object for comparator
    {

    }

    public AttributeValues(String name)
    {
        this.name = name;
    }

    public int compare(AttributeValues o1, AttributeValues o2)
    {
        return o1.name.compareToIgnoreCase(o2.name);
    }
}
