var transcriptionStyle = 'text';

function displayImage (id) {
	if (facsmap[id]) {
		alert('Display image ' + facsmap[id]);
	} else {
		alert(id + ' is not the xml:id of any descendant of the facsimiles element');
	}
}

function displayText (url) {
	alert('Display text ' + url);
}

function displayHTML (url) {
	alert('Display HTML ' + url);
}

function displayAbsoluteURL (url) {
	alert('Display absolute URL ' + url);
}

function localReference (target) {
	if (transcriptionStyle != 'text') {
		toggleTranscription();
	}
	window.location.href = target;
}

function toggleTranscription () {
	var el1, el2, btn;
	
	el1 = document.getElementById('MANUSCRIPT_LAYOUT');
	el2 = document.getElementById('TEXT_STRUCTURE');
	btn = document.getElementById('btnToggle');
	if (el1.style.display=='block') {
		el1.style.display = 'none';
		el2.style.display = 'block';
		btn.innerHTML = 'Show manuscript layout';
		transcriptionStyle = 'text';
	} else {
		el1.style.display = 'block';
		el2.style.display = 'none';
		btn.innerHTML = 'Show text structure';
		transcriptionStyle = 'manuscript';
	}
}

function init () {
	var div, table, height, width, n;

	n = 1;
	while (true) {	
		div = document.getElementById('tableScroller' + n);
		if (div == null) {
			break;
		}
		
		table = document.getElementById('facsTable' + n);		
		width = table.offsetWidth;
		height = table.offsetHeight;
		if (height > 400) {
			div.style.width = '' + (width + 50) + 'px';
			div.style.height= '400px';
			div.style.overflow='auto';
		}
		n++;
	}
}